[tor-commits] [tor/master] scripts/git: Stop failing when upstream branches don't exist

teor at torproject.org teor at torproject.org
Thu Nov 7 02:07:07 UTC 2019


commit 7ee1e16c6f9d5ddc9ceae6aac7a25291e1336426
Author: teor <teor at torproject.org>
Date:   Thu Nov 7 12:04:51 2019 +1000

    scripts/git: Stop failing when upstream branches don't exist
    
    If you add a custom remote, or a new branch, and don't fetch first,
    then the script would fail when checking for unchanged branches.
    
    Instead, skip the check: a new branch is definitely a change.
---
 scripts/git/git-push-all.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/git/git-push-all.sh b/scripts/git/git-push-all.sh
index 4738658f1..293df0342 100755
--- a/scripts/git/git-push-all.sh
+++ b/scripts/git/git-push-all.sh
@@ -251,7 +251,8 @@ if [ "$PUSH_SAME" -eq 0 ]; then
     PUSH_COMMIT=$(git rev-parse "$b")
     SKIP_UPSTREAM=
     for u in $UPSTREAM_SKIP_SAME_AS; do
-      UPSTREAM_COMMIT=$(git rev-parse "$u")
+      # Skip the branch check on error
+      UPSTREAM_COMMIT=$(git rev-parse "$u" 2>/dev/null) || continue
       if [ "$PUSH_COMMIT" = "$UPSTREAM_COMMIT" ]; then
         SKIP_UPSTREAM="$u"
       fi



More information about the tor-commits mailing list